Subject: Re: uncached user space mapping with mmap() ???

From: Steven Scholz <[email-masked]>
Date: Thu, 04 Mar 2004 15:35:46 +0100

Fillod Stephane wrote:

>>I am trying to access a hardware timer implemented in an FPGA from
>>user space. I implemented a simple mmap() functionality (taken from
>>Runbini's Linux Device Driver)
>
> Please refer to "11.13. Accessing peripherals from user space"
> in the excellent FAQ from DENX's TWiki at :
>
> http://www.denx.de/twiki/bin/view/PPCEmbedded/DeviceDrivers#Section_Accessin
> gPeripheralsFromUserSpace
>
> There's no need to implement kernel side stuff. /dev/mem is enough.

Oh! Nice. Thanks a million! It actually works (on my ARM board!)

So why will people need their own mmap() driver if this kind of things
can be done via /dev/mem ???

And: Can I mmap() 32MB of peripheral memory into user space?

--
Steven Scholz

imc Measurement & Control               imc Meßsysteme GmbH
Voltastr. 5                             Voltastr. 5
13355 Berlin                            13355 Berlin
Germany                                 Deutschland

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/